"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const abstract_1 = __importDefault(require("./abstract"));
class Cartesian extends abstract_1.default {
    constructor(options) {
        super(options);
    }
    update(options) {
        super.update(options);
        const { width, height, origin } = this.options;
        this.xRange = [origin.x, origin.x + width];
        this.yRange = [origin.y + height, origin.y];
    }
    // TODO: not implemented
    convertPoint(_point) {
        const point = this.transpose(_point);
        return point;
    }
    // TODO: not implemented
    invertPoint(_point) {
        const point = this.transpose(_point);
        return point;
    }
    map(point) {
        return point;
    }
    invert(point) {
        return point;
    }
}
exports.default = Cartesian;
