import { GraphicOptions } from '../types/chart';
import { Element } from '../types/geometry';
import { GuideLabelOptions } from '../types/guide';
import { Chart } from '../chart';
import { Guide } from './abstract';
export declare class GuideLabel extends Guide {
    animatable: boolean;
    options: GuideLabelOptions;
    defaultOptions: Partial<GuideLabelOptions>;
    constructor(chart: Chart, options: GuideLabelOptions);
    update(options: GuideLabelOptions): void;
    private getPlacement;
    graphic(chart: Chart, graphicOptions: GraphicOptions): Element[];
}
