import { GraphicOptions } from '../types/chart';
import { Element } from '../types/geometry';
import { GuideLineOptions } from '../types/guide';
import { Chart } from '../chart';
import { Guide } from './abstract';
export declare class GuideLine extends Guide {
    animatable: boolean;
    options: GuideLineOptions;
    defaultOptions: Partial<GuideLineOptions>;
    constructor(chart: Chart, options: GuideLineOptions);
    update(options: GuideLineOptions): void;
    graphic(chart: Chart, graphicOptions: GraphicOptions): Element[];
}
