"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.PlacementPosition = exports.KeywordPosition = void 0;
var KeywordPosition;
(function (KeywordPosition) {
    KeywordPosition["Min"] = "KEYWORD_POS_MIN";
    KeywordPosition["Max"] = "KEYWORD_POS_MAX";
    KeywordPosition["Median"] = "KEYWORD_POS_MEDIAN";
})(KeywordPosition = exports.KeywordPosition || (exports.KeywordPosition = {}));
var PlacementPosition;
(function (PlacementPosition) {
    PlacementPosition[PlacementPosition["Top"] = 1] = "Top";
    PlacementPosition[PlacementPosition["Left"] = 2] = "Left";
    PlacementPosition[PlacementPosition["Right"] = 3] = "Right";
    PlacementPosition[PlacementPosition["Bottom"] = 4] = "Bottom";
    PlacementPosition[PlacementPosition["TopLeft"] = 5] = "TopLeft";
    PlacementPosition[PlacementPosition["TopRight"] = 6] = "TopRight";
    PlacementPosition[PlacementPosition["BottomLeft"] = 7] = "BottomLeft";
    PlacementPosition[PlacementPosition["BottomRight"] = 8] = "BottomRight";
    PlacementPosition[PlacementPosition["LeftTop"] = 9] = "LeftTop";
    PlacementPosition[PlacementPosition["LeftBottom"] = 10] = "LeftBottom";
    PlacementPosition[PlacementPosition["RightTop"] = 11] = "RightTop";
    PlacementPosition[PlacementPosition["RightBottom"] = 12] = "RightBottom";
})(PlacementPosition = exports.PlacementPosition || (exports.PlacementPosition = {}));
