import { Point } from '../types/geometry';
/**
 * @antv/coord
 * 将极坐标的点转换成笛卡尔坐标系上的点
 * @param center
 * @param radius
 * @param angle
 */
export declare const polarToCartesian: (center: Point, radius: number, angle: number) => {
    x: number;
    y: number;
};
/**
 * @antv/coord
 * 将笛卡尔坐标系上的点转换成极坐标
 * @param center
 * @param x
 * @param y
 */
export declare const cartesianToPolar: (center: Point, y: number, x: number) => {
    y: number;
    x: number;
};
export declare const getAxisXLabelAlign: (radian: number) => {
    align: 'left' | 'center' | 'right' | undefined;
    verticalAlign: 'bottom' | 'middle' | 'top' | undefined;
};
