import { GraphicOptions } from '../types/chart';
import { Element } from '../types/geometry';
import { GuidePointOptions } from '../types/guide';
import { Chart } from '../chart';
import { Guide } from './abstract';
export declare class GuidePoint extends Guide {
    animatable: boolean;
    options: GuidePointOptions;
    defaultOptions: Partial<GuidePointOptions>;
    constructor(chart: Chart, options: GuidePointOptions);
    update(options: GuidePointOptions): void;
    graphic(chart: Chart, graphicOptions: GraphicOptions): Element[];
}
