import type { IdentityOptions, LinearOptions, PointOptions, TimeOptions } from '@antv/scale';
export declare enum ScaleType {
    Identity = 0,
    Linear = 1,
    Time = 2,
    Category = 3,
    TimeCategory = 4
}
export type CategoryOptions = PointOptions & {
    tickCount?: number;
};
export type ScaleOptions = ({
    type: ScaleType.Identity;
} & IdentityOptions) | ({
    type: ScaleType.Linear;
} & LinearOptions) | ({
    type: ScaleType.Time;
} & TimeOptions) | ({
    type: ScaleType.Category;
} & CategoryOptions) | ({
    type: ScaleType.TimeCategory;
} & CategoryOptions);
