/**
 * estimate text width and height by text content
 *
 * @param {(string | string[])} text
 * @param {Partial<{ fontSize: number; lineHeight: number }>} [styleOptions]
 * @returns
 */
export declare const measureText: (text: string | string[], styleOptions?: Partial<{
    fontSize: number;
    lineHeight: number;
}>) => {
    width: number;
    height: number;
};
