import Scale from '../scale';
import { ChartData, FieldData, ScaleOptions } from '../types';
export declare class DataSource {
    private data;
    private fields;
    constructor(data: ChartData, scaleOptions?: Record<string, ScaleOptions>);
    getData(): ChartData;
    getField(field: string): {
        getData(): FieldData[];
        getScale(): Scale;
    };
}
