import { GraphicOptions } from '../types/chart';
import { Chart } from '.';
import { Point } from '../types';
interface LayoutManagerOptions {
    layoutWidth: number;
    layoutHeight: number;
    padding?: [number, number, number, number];
}
export declare class LayoutManager {
    private layoutWidth;
    private layoutHeight;
    private layoutPadding;
    private layoutMap;
    origin: Point;
    constructor(options?: LayoutManagerOptions);
    update(options: LayoutManagerOptions): void;
    layout(chart: Chart): void;
    updateLayout(cid: string, layout: Partial<GraphicOptions>): void;
    get(cid: string): GraphicOptions;
}
export {};
