import { ChartData, Point } from '../types';
export declare const uniqueFilter: (value: any, index: number, self: any[]) => boolean;
export declare const getValuesOfField: (data: ChartData, field: string) => import("../types").FieldData[];
export declare const getSampleValueOfField: (data: ChartData, field: string) => import("../types").FieldData | undefined;
export declare const unifyArray: <T>(value: T | T[]) => T[];
export declare const mapObject: <T extends Record<string, unknown>, V>(obj: T, mapFn: (value: unknown) => V) => Record<string, V>;
export declare const nearest: (source: Point, targets: Point[]) => Point | null;
