"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.isLessThan = exports.isEqual = exports.toFractionDigits = exports.noop = void 0;
const noop = () => undefined;
exports.noop = noop;
const toFractionDigits = (num, fractionDigits = 5) => {
    return Number(num.toFixed(fractionDigits));
};
exports.toFractionDigits = toFractionDigits;
const isEqual = (a, b, fractionDigits = 5) => {
    return (0, exports.toFractionDigits)(a, fractionDigits) === (0, exports.toFractionDigits)(b, fractionDigits);
};
exports.isEqual = isEqual;
const isLessThan = (a, b, fractionDigits = 5) => {
    return (0, exports.toFractionDigits)(a, fractionDigits) <= (0, exports.toFractionDigits)(b, fractionDigits);
};
exports.isLessThan = isLessThan;
