"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.isNumberArray = exports.isDateString = exports.isObject = exports.isNotNil = exports.isNil = void 0;
const isNil = (value) => value === null || value === undefined;
exports.isNil = isNil;
const isNotNil = (value) => !(0, exports.isNil)(value);
exports.isNotNil = isNotNil;
const isObject = (value) => value !== null && typeof value === 'object' && Array.isArray(value) === false;
exports.isObject = isObject;
const isDateString = (value) => new Date(value).toString() !== 'Invalid Date';
exports.isDateString = isDateString;
const isNumberArray = (range) => typeof (range === null || range === void 0 ? void 0 : range[0]) === 'number' && typeof (range === null || range === void 0 ? void 0 : range[1]) === 'number';
exports.isNumberArray = isNumberArray;
