import { Point } from '../types/geometry';
import { PlacementPosition } from '../types/guide';
export declare const getRectPoints: (box: {
    origin: Point;
    width: number;
    height: number;
}) => Point[];
export declare const getLabelRectBBox: (placement: PlacementPosition, origin: Point, offset: number, width: number, height: number, radius: number, arrow?: {
    base: number;
    height: number;
}) => {
    origin: {
        x: number;
        y: number;
    };
    width: number;
    height: number;
};
export declare const getLabelArrowPoints: (placement: PlacementPosition, origin: Point, offset: number, base: number, height: number) => {
    x: number;
    y: number;
}[];
