import Coordinate from './abstract';
import { CoordinateOptions, Point } from '../types';
export default class Cartesian extends Coordinate {
    constructor(options: CoordinateOptions);
    update(options: CoordinateOptions): void;
    convertPoint(_point: Point): {
        x: any;
        y: any;
    };
    invertPoint(_point: Point): {
        x: any;
        y: any;
    };
    map(point: Point): Point;
    invert(point: Point): Point;
}
