import Coordinate from './abstract';
export default class Cartesian extends Coordinate {
    constructor(options) {
        super(options);
    }
    update(options) {
        super.update(options);
        const { width, height, origin } = this.options;
        this.xRange = [origin.x, origin.x + width];
        this.yRange = [origin.y + height, origin.y];
    }
    // TODO: not implemented
    convertPoint(_point) {
        const point = this.transpose(_point);
        return point;
    }
    // TODO: not implemented
    invertPoint(_point) {
        const point = this.transpose(_point);
        return point;
    }
    map(point) {
        return point;
    }
    invert(point) {
        return point;
    }
}
