import Coordinate from './abstract';
import { CoordinateOptions, Point } from '../types';
import { Linear } from '@antv/scale';
export default class Polar extends Coordinate {
    radiusScale: Linear;
    angleScale: Linear;
    center: Point;
    constructor(options: CoordinateOptions);
    update(options: CoordinateOptions): void;
    map(point: Point): {
        x: any;
        y: any;
    };
    invert(point: Point): {
        x: any;
        y: any;
    };
    convertPoint(_point: Point, flag?: boolean): {
        x: any;
        y: any;
    };
    invertPoint(_point: Point, flag?: boolean): {
        x: any;
        y: any;
    };
}
