import { AestheticFunction, GraphicOptions, DataRecord, Dimension, DirectValue, Point, AestheticConfigObject } from '../types';
import { Chart } from '../chart';
export declare class Aesthetic {
    position: AestheticFunction<Point>;
    constructor(chart: Chart, graphicOptions: GraphicOptions);
    protected formatAestheticOption(options: Dimension | DirectValue<unknown> | AestheticConfigObject<unknown>): AestheticConfigObject<any>;
    createPositionFunc(chart: Chart, graphicOptions: GraphicOptions): (record: DataRecord) => Point;
}
