import { GraphicOptions, DynamicElement } from '../types';
import { TooltipOptions } from '../types/tooltip';
import { ChartComponent } from '../chart/component';
import { Chart } from '../chart';
export declare class Tooltip extends ChartComponent {
    animatable: boolean;
    options: TooltipOptions;
    defaultOptions: Partial<TooltipOptions>;
    private state;
    constructor(chart: Chart, options: TooltipOptions);
    update(options: TooltipOptions): void;
    graphic(chart: Chart, graphicOptions: GraphicOptions): DynamicElement[];
}
