export const noop = () => undefined;
export const toFractionDigits = (num, fractionDigits = 5) => {
    return Number(num.toFixed(fractionDigits));
};
export const isEqual = (a, b, fractionDigits = 5) => {
    return toFractionDigits(a, fractionDigits) === toFractionDigits(b, fractionDigits);
};
export const isLessThan = (a, b, fractionDigits = 5) => {
    return toFractionDigits(a, fractionDigits) <= toFractionDigits(b, fractionDigits);
};
