import { ScaleType } from '../types/scale';
export const isContinuesScale = (scale) => [ScaleType.Linear, ScaleType.Time].includes(scale === null || scale === void 0 ? void 0 : scale.type);
export const isLinearScale = (scale) => (scale === null || scale === void 0 ? void 0 : scale.type) === ScaleType.Linear;
export const isTimeScale = (scale) => (scale === null || scale === void 0 ? void 0 : scale.type) === ScaleType.Time;
export const getAxisOrigin = (scale) => {
    var _a;
    const domain = (_a = scale.getOptions().domain) !== null && _a !== void 0 ? _a : [];
    return isLinearScale(scale) && domain[0] < 0 && domain[1] > 0 ? 0 : domain[0];
};
